package common.service;

import common.model.Contract;
import common.model.ContractBody;
import common.model.User;
import tkio.model.PackageType;

import java.util.List;
import java.util.Map;

/**
 * Created by mxq on 2018/1/16.
 */
public interface ContractService {

    Map<String, Object> checkAccount(String email);

    List<ContractBody> findBody();

    String getContractCode(String code);

    List<PackageType> findSetmeal();

    Double getRebat(String product, Integer level, Long money);

    List<User> getSales();

    Contract create(User loginUser, Contract resource);

    Contract update(User loginUser, Contract resource);

    List<Contract> findAll(String ds);

}
